const plugins = [
  [
    'babel-plugin-import',
    {
      'libraryName': '@material-ui/lab',
      'libraryDirectory': 'esm',
      'camel2DashComponentName': false
    },
    'lab'
  ],
  [
    'babel-plugin-import',
    {
      'libraryName': '@material-ui/core',
      'libraryDirectory': 'esm',
      'camel2DashComponentName': false
    },
    'core'
  ],
  [
    'babel-plugin-import',
    {
      'libraryName': 'mdi-material-ui',
      'libraryDirectory': '.',
      'camel2DashComponentName': false
    },
    'mdi-material-ui'
  ],
  [
    'babel-plugin-import',
    {
      'libraryName': '@material-ui/icons',
      'libraryDirectory': 'esm',
      'camel2DashComponentName': false
    },
    'icons'
  ]
];

module.exports = {
  presets: ["react-app"],
  plugins
};
