import React, { HTMLProps } from "react";
import { useHorizontalSpacing } from "@/styles";

export const Actions = (props: HTMLProps<HTMLDivElement>) => {
    const classes = useHorizontalSpacing(2);

    return <div className={ classes.root } { ...props } style={{ display: "flex", alignItems: "center" }}/>
}
