import { Action } from "@/state/actions/base";
import { Edition } from "@/data/edition";
import { InternshipProgramEntry } from "@/data";

export enum EditionActions {
    Set = 'SET_EDITION',
}

export interface SetAction extends Action<EditionActions.Set> {
    edition: Edition,
    program: InternshipProgramEntry[],
}

export type EditionAction = SetAction;

